
From: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>

This does setup PCI4510 properly, and supports the "disable_clkrun" option.

1) Add PCI_DEVICE_ID_TI_4510 to pci_id.h.
2) Add PCI4510 to yenta_table (that uses TI12XX handlers).
3) Add zoom_video handler support.

TI12XX handlers can disable CLKRUN feature with "disable_clkrun" option.
Some devices or bridge itself seems to be needing this option as workaround.

Signed-off-by: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ti113x.h       |    1 +
 25-akpm/drivers/pcmcia/yenta_socket.c |    1 +
 25-akpm/include/linux/pci_ids.h       |    1 +
 3 files changed, 3 insertions(+)

diff -puN drivers/pcmcia/ti113x.h~pcmcia-add-support-ti-pci4510-cardbus-bridge drivers/pcmcia/ti113x.h
--- 25/drivers/pcmcia/ti113x.h~pcmcia-add-support-ti-pci4510-cardbus-bridge	2005-02-06 12:30:22.000000000 -0800
+++ 25-akpm/drivers/pcmcia/ti113x.h	2005-02-06 12:30:22.000000000 -0800
@@ -262,6 +262,7 @@ static void ti_set_zv(struct yenta_socke
 			case PCI_DEVICE_ID_TI_1220:
 			case PCI_DEVICE_ID_TI_1221:
 			case PCI_DEVICE_ID_TI_1225:
+			case PCI_DEVICE_ID_TI_4510:
 				socket->socket.zoom_video = ti_zoom_video;
 				break;	
 			case PCI_DEVICE_ID_TI_1250:
diff -puN drivers/pcmcia/yenta_socket.c~pcmcia-add-support-ti-pci4510-cardbus-bridge drivers/pcmcia/yenta_socket.c
--- 25/drivers/pcmcia/yenta_socket.c~pcmcia-add-support-ti-pci4510-cardbus-bridge	2005-02-06 12:30:22.000000000 -0800
+++ 25-akpm/drivers/pcmcia/yenta_socket.c	2005-02-06 12:30:22.000000000 -0800
@@ -1105,6 +1105,7 @@ static struct pci_device_id yenta_table 
 	CB_ID(PCI_VENDOR_ID_TI, PCI_DEVICE_ID_TI_4410, TI12XX),
 	CB_ID(PCI_VENDOR_ID_TI, PCI_DEVICE_ID_TI_4450, TI12XX),
 	CB_ID(PCI_VENDOR_ID_TI, PCI_DEVICE_ID_TI_4451, TI12XX),
+	CB_ID(PCI_VENDOR_ID_TI, PCI_DEVICE_ID_TI_4510, TI12XX),
 	CB_ID(PCI_VENDOR_ID_TI, PCI_DEVICE_ID_TI_4520, TI12XX),
 
 	CB_ID(PCI_VENDOR_ID_TI, PCI_DEVICE_ID_TI_1250, TI1250),
diff -puN include/linux/pci_ids.h~pcmcia-add-support-ti-pci4510-cardbus-bridge include/linux/pci_ids.h
--- 25/include/linux/pci_ids.h~pcmcia-add-support-ti-pci4510-cardbus-bridge	2005-02-06 12:30:22.000000000 -0800
+++ 25-akpm/include/linux/pci_ids.h	2005-02-06 12:30:22.000000000 -0800
@@ -753,6 +753,7 @@
 #define PCI_DEVICE_ID_TI_1251B		0xac1f
 #define PCI_DEVICE_ID_TI_4410		0xac41
 #define PCI_DEVICE_ID_TI_4451		0xac42
+#define PCI_DEVICE_ID_TI_4510		0xac44
 #define PCI_DEVICE_ID_TI_4520		0xac46
 #define PCI_DEVICE_ID_TI_1410		0xac50
 #define PCI_DEVICE_ID_TI_1420		0xac51
_
